Bug 1267525 - [RFE] Variable to identify Satellite version in provisioning templates
[RFE] Variable to identify Satellite version in provisioning templates
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks: 1122832 260381
  Show dependency treegraph
 
Reported: 2015-09-30 05:41 EDT by Peter Vreman
Modified: 2018-05-18 02:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21613 None None None 2017-11-09 07:12 EST

  None (edit)
Description Peter Vreman 2015-09-30 05:41:11 EDT
Description of problem:
To be able to use the same provisioning template in multiple Satellite versions it would be good for understanding to have a variable to identify the version of Satellite also in the provisioning templates.
This variable can then be used to have clear Satellite version dependent code fragments

<% if @satellite.version >= 6.2 %>
... new satellite 6.2 features / variables
<% else %>
... legacy satellite 6.0/6.1 code
<% end %>

Alternative is to have @foreman.version


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Bryan Kearney 2016-07-08 16:48:02 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 3 Ondřej Pražák 2017-11-09 07:12:43 EST
Created redmine issue http://projects.theforeman.org/issues/21613 from this bug

Note You need to log in before you can comment on or make changes to this bug.